> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/services-configuration-operations.md).

# Services Configuration (Operations)

Endpoints to create, update, and read operative service jobs configuration.

## Get operative service config

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Get operative service config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read operative service jobs configuration.","name":"Services Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperativeServiceConfiguration":{"properties":{"cancelReasons":{"description":"Predefined reasons that can be selected when cancelling a service job","items":{"$ref":"#/components/schemas/ServiceJobCancelReason"},"maxItems":50,"type":"array"},"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"id":{"description":"ID of the Operative Service Configuration is always operativeservice","minLength":1,"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["created","lastModified","version","id"],"title":"OperativeServiceConfiguration","type":"object","description":"OperativeServiceConfiguration"},"ServiceJobCancelReason":{"properties":{"cancelReasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"active":{"description":"Indicates if this cancel reason is currently active and can be selected","type":"boolean"},"cancelReason":{"description":"translated cancelReason selected from cancelReasonLocalized","minLength":1,"type":"string"}},"required":["active","cancelReasonLocalized"],"title":"ServiceJobCancelReason","type":"object","description":"ServiceJobCancelReason"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/operativeservice":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Get operative service config","operationId":"getOperativeServiceConfiguration","parameters":[{"description":"Provide the localized names and descriptions for operative service configuration. If not provided the default locale is used.","in":"query","name":"locale","required":false,"schema":{"enum":["de_DE","en_US","pl_PL","ru_RU","nl_NL","fr_FR","it_IT","nb_NO","es_ES","cs_CZ","sk_SK","pt_PT","sl_SI","ro_RO","bg_BG","hr_HR","hu_HU","tr_TR"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeServiceConfiguration"}}},"description":"Central Configuration of all Service related operations"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get operative service config","tags":["Services Configuration (Operations)"]}}}}
```

## Update operative service config

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Create or update the operative service configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read operative service jobs configuration.","name":"Services Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperativeServiceConfigurationForUpsert":{"properties":{"cancelReasons":{"description":"Predefined reasons that can be selected when cancelling a service job","items":{"$ref":"#/components/schemas/ServiceJobCancelReason"},"maxItems":50,"type":"array"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms","minimum":1,"type":"integer"}},"required":["version"],"title":"OperativeServiceConfigurationForUpsert","type":"object","description":"OperativeServiceConfigurationForUpsert"},"ServiceJobCancelReason":{"properties":{"cancelReasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"active":{"description":"Indicates if this cancel reason is currently active and can be selected","type":"boolean"},"cancelReason":{"description":"translated cancelReason selected from cancelReasonLocalized","minLength":1,"type":"string"}},"required":["active","cancelReasonLocalized"],"title":"ServiceJobCancelReason","type":"object","description":"ServiceJobCancelReason"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"OperativeServiceConfiguration":{"properties":{"cancelReasons":{"description":"Predefined reasons that can be selected when cancelling a service job","items":{"$ref":"#/components/schemas/ServiceJobCancelReason"},"maxItems":50,"type":"array"},"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"id":{"description":"ID of the Operative Service Configuration is always operativeservice","minLength":1,"type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["created","lastModified","version","id"],"title":"OperativeServiceConfiguration","type":"object","description":"OperativeServiceConfiguration"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/operativeservice":{"put":{"deprecated":false,"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Create or update the operative service configuration.","operationId":"upsertOperativeServiceConfigurations","parameters":[{"description":"Provide the localized names and descriptions for the operative service configuration. If not provided the default locale is used.","in":"query","name":"locale","required":false,"schema":{"enum":["de_DE","en_US","pl_PL","ru_RU","nl_NL","fr_FR","it_IT","nb_NO","es_ES","cs_CZ","sk_SK","pt_PT","sl_SI","ro_RO","bg_BG","hr_HR","hu_HU","tr_TR"],"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeServiceConfigurationForUpsert"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeServiceConfiguration"}}},"description":"The operative service configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperativeServiceConfiguration"}}},"description":"The operative service configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update operative service config","tags":["Services Configuration (Operations)"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/services-configuration-operations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
